package com.lz.modules.flow.req;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转关系表
* @author quyixiao
* @since 2020-08-18
*/


@Data
public class StaffRoleReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //员工 id
    private Long staffId;
    //角色
    private String role;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 员工 id 
     * @return
     */
    public Long getStaffId() {
        return staffId;
    }
    /**
     * 员工 id 
     * @param staffId
     */
    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    /**
     * 角色 
     * @return
     */
    public String getRole() {
        return role;
    }
    /**
     * 角色 
     * @param role
     */
    public void setRole(String role) {
        this.role = role;
    }

    @Override
    public String toString() {
        return "StaffRole{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",staffId=" + staffId +
                ",role=" + role +
                "}";
    }
}